[![GitHub release](https://img.shields.io/github/release/gsantner/cherrymusic-android.svg)](https://github.com/gsantner/cherrymusic-android/releases)
[![Donate](https://img.shields.io/badge/donate-bitcoin-orange.svg)](https://gsantner.github.io/#donate)
[![CircleCI](https://circleci.com/gh/gsantner/cherrymusic-android.svg?style=shield)](https://circleci.com/gh/gsantner/cherrymusic-android)
[![Translate - with Stringlate](https://img.shields.io/badge/stringlate-translate-green.svg)](https://lonamiwebs.github.io/stringlate/translate?git=https%3A%2F%2Fgithub.com%2Fgsantner%2Fcherrymusic-android.git&name=Cherry&web=https%3A%2F%2Fgithub.com%2Fgsantner%2Fcherrymusic-android)

# Cherry
<img src="/wawl/ic_launcher-web.png" align="left" width="100" hspace="10" vspace="10">
Android app for <a href="http://fomori.org/cherrymusic/">CherryMusic</a>,
a self-hosted streaming web-application, alternative to Ampache, Google Play Music, Spotify and more.
This app is intended to be used on a tablet.

<div style="display:flex;" >
<a href="https://f-droid.org/repository/browse/?fdid=de.live.gdev.cherrymusic">
    <img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80">
</a>
<!--
<a href="https://play.google.com/store/apps/details?id=de.live.gdev.cherrymusic">
    <img alt="Get it on Google Play" height="80" src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png" />
</a>
-->
</div></br>


## Description
Wrapper for [CherryMusic](http://www.fomori.org/cherrymusic/),
a self-hosted streaming web-application, alternative to Ampache, Google Play Music, Spotify,..  
This app is intended to be used on a tablet.

Developed under non commercial purposes.  
Actually there are no, and there will never be advertisments added by the app. 


### Privacy
This app doesn't open connections to anywhere else than your entered CherryMusic url.
Any other data than your entered data won't be collected or stored on your device.

## Contributions
The project is always open for contributions and accepts pull requests.
The project uses [AOSP Java Code Style](https://source.android.com/source/code-style#follow-field-naming-conventions), with one exception: private members are `_camelCase` instead of `mBigCamel`. You may use Android Studios _auto reformat feature_ before sending a PR.

Translations can be contributed on GitHub or via [E-Mail](https://gsantner.github.io/#contact). You can use Stringlate ([![Translate - with Stringlate](https://img.shields.io/badge/stringlate-translate-green.svg)](https://lonamiwebs.github.io/stringlate/translate?git=https%3A%2F%2Fgithub.com%2Fgsantner%2Fcherrymusic-android.git&name=cherry%20TT&web=https%3A%2F%2Fgithub.com%2Fgsantner%2Fcherrymusic-android)) to translate the project directly on your Android phone. It allows you to export as E-Mail attachement and to post on GitHub.

If you like my work on <b>Cherry</b> and many other Open Source projects, consider a small donation to my bitcoin address:
<a href="https://gsantner.github.io/#donate">1B9ZyYdQoY9BxMe9dRUEKaZbJWsbQqfXU5</a>


#### Resources
* Project: [Changelog](/CHANGELOG.md) | [Issues level/beginner](https://github.com/gsantner/cherrymusic-android/issues?q=is%3Aissue+is%3Aopen+label%3Alevel%2Fbeginner) | [License](/LICENSE.txt) | [CoC](/CODE_OF_CONDUCT.md)
* App on F-Droid: [Metadata](https://gitlab.com/fdroid/fdroiddata/blob/master/metadata/de.live.gdev.cherrymusic.txt) | [Page](https://f-droid.org/packages/de.live.gdev.cherrymusic/) | [Wiki](https://f-droid.org/wiki/page/de.live.gdev.cherrymusic) | [Build log](https://f-droid.org/wiki/page/de.live.gdev.cherrymusic/lastbuild)
* cherry: [Homepage](http://www.cherry.org/) | [Demo Account](https://demo.cherry.org/status.php)

## Licensing
Project created and maintained by <a href="https://gsantner.github.io">Gregor Santner</a> since 2015.
The code of the app is licensed MIT. Localization files and resources (string\*.xml) are licensed CC0 1.0.
For more licensing informations, see [`3rd party licenses`](/app/src/main/res/raw/licenses_3rd_party.md).
Note that the projects [cherrymusic-android](https://github.com/gsantner/cherrymusic-android) and [kimai-android](https://github.com/gsantner/kimai-android) share the code base.


## Screenshots
<div style="display:flex;" >
	<img src="https://raw.githubusercontent.com/gsantner/cherrymusic-android/master/metadata/en-US/phoneScreenshots/01.png" width="59%" >
</div>
<div style="display:flex;" >
	<img src="https://raw.githubusercontent.com/gsantner/cherrymusic-android/master/metadata/en-US/phoneScreenshots/03.png" width="30%" >
	<img src="https://raw.githubusercontent.com/gsantner/cherrymusic-android/master/metadata/en-US/phoneScreenshots/04.png" width="30%" style="margin-left:10px;" >
	<img src="https://raw.githubusercontent.com/gsantner/cherrymusic-android/master/metadata/en-US/phoneScreenshots/05.png" width="30%" style="margin-left:10px;" >
</div>
